Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.condition
Class IsReference

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.taskdefs.condition.IsReference

All Implemented Interfaces:
  Condition

public class IsReference
extends ProjectComponent
implements Condition

Condition that tests whether a given reference has been defined.

Optionally tests whether it is of a given type/class.

Since:
  Ant 1.6
Version:
  $Revision: 1.5.2.4 $

Field Summary

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`IsReference()`

Method Summary
`boolean` | `eval()` Is this condition true?
`void` | `setRefid(Reference r)` Set the refid attribute.
`void` | `setType(java.lang.String type)` Set the type attribute.

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IsReference

    public IsReference()

Method Detail

### setRefid

    public void setRefid(Reference r)

  Set the refid attribute.

  Parameters:
    `r` - a Reference value

### setType

    public void setType(java.lang.String type)

  Set the type attribute. This is optional attribute.

  Parameters:
    `type` - an ant component type name

### eval

    public boolean eval()
                 throws BuildException

  Description copied from interface: `Condition`
  Is this condition true?

  Specified by:
    `eval` in interface `Condition`
  Returns:
    true if the reference exists and if type is set, if the reference is the same type
  Throws:
    `BuildException` - if an error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.